Skip to main content
`Ctrl`+`K`

# vispy.visuals.linear_region module

class vispy.visuals.linear_region.LinearRegionVisual(pos=None, color=[1.0, 1.0, 1.0, 1.0], vertical=True, **kwargs)

  Bases: `Visual`

  Infinite horizontal or vertical region for 2D plots.

  Parameters:
    pos list, tuple or numpy array

      Bounds of the region along the axis. len(pos) must be >=2.

    color list, tuple, or array

      The color to use when drawing the line. It must have a shape of (1, 4) for a single color region or (len(pos), 4) for a multicolor region.

    vertical:

      True for drawing a vertical region, False for an horizontal region

  property color
  property is_vertical
  property pos
  set_data(pos=None, color=None)

    Set the data

    Parameters:
      pos list, tuple or numpy array

        Bounds of the region along the axis. len(pos) must be >=2.

      color list, tuple, or array

        The color to use when drawing the line. It must have a shape of (1, 4) for a single color region or (len(pos), 4) for a multicolor region.